## db4.8 4.8.30

=== debian/changelog ===
db4.8 (4.8.30-9ubuntu1) oneiric; urgency=low

  * Set CC appropriately when cross-compiling.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 10:01:21 +0100

db4.8 (4.8.30-9) unstable; urgency=low

  * Move all packages to extra/oldlibs
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631352)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 10:24:20 +0200

db4.8 (4.8.30-8) unstable; urgency=high

  * Build with --enable-test because it breaks the env_sig function
    (Closes: #625484)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 03 May 2011 21:58:06 +0200

db4.8 (4.8.30-7) unstable; urgency=low

  * Move to Priority: extra and Section: oldlibs
  * Remove libdb4.8++* and libdb4.8-dbg binary packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 May 2011 12:32:59 +0200

db4.8 (4.8.30-6) unstable; urgency=low

  * Adopt package under Debian Berkeley DB Group
  * Remove Java and TCL packages
  * Remove .la files from packages (ReleaseGoal)
  * Debian packaging:
    + Update VCS links
    + Remove obsolete Conflicts
    + Set Conflicts only with db4.6 and db4.7
  * Fix lintian errors and warnings:
    + Fix errors in db4.8_load.1 manpage

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2011 21:08:31 +0200

db4.8 (4.8.30-5) unstable; urgency=low

  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Fri, 11 Feb 2011 20:40:32 -0500

db4.8 (4.8.30-4) unstable; urgency=low

  [ Thorsten Glaser ]
  * Fix manpage-has-errors-from-man lintian warning
  * Add db4.7_codegen(1) from db4.7 (4.7.25-12), renamed appropriately
  * Correct db4.8-util override disparity
  * Use mktemp -t not --tmpdir to be backportable. (Closes: #584934)
  * Mark testsuite failures non-fatal on Hurd

  [ Clint Adams ]
  * Patch from Steve Langasek to make db4.8 cross-compilable.
    closes: #611697.
  * Build Java package on armel.

 -- Clint Adams <clint@gnu.org>  Mon, 31 Jan 2011 22:00:04 -0500

db4.8 (4.8.30-3) unstable; urgency=low

  * Patch from Matthias Klose to work around newer binutils breakage on
    mips.  closes: #604771.

 -- Clint Adams <clint@gnu.org>  Thu, 25 Nov 2010 12:20:41 -0500

db4.8 (4.8.30-2) unstable; urgency=high

  * Bump to Standards-Version 3.9.1.
  * Patch from Aurelien Jarno to avoid following javac symlinks to
    ultimately avoid failing to equate /usr/lib/jvm/default-
    java/bin/../../../.. to /usr when using GCJ.  closes: #594816.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Aug 2010 17:17:04 -0400

db4.8 (4.8.30-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 10 May 2010 20:11:56 -0400

db4.8 (4.8.26-3) unstable; urgency=low

  * Bump to Standards-Version 3.8.4.
  * Change source package to db4.8 so db can go to 5.0.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Apr 2010 09:07:08 -0400

db (4.8.26-2) unstable; urgency=low

  * Tweaked patch from Rafael Almeida to fix misnamed DB_CURSOR_BULK
    flag in C/C++ API documentation.  closes: #574467.
  * Add avr32 as unsupported for Java.  closes: #575138.
  * Rewrite db4.8-doc long description.  closes: #550106.
  * Add Java support for alpha.  closes: #541612.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Mar 2010 08:23:14 -0400

db (4.8.26-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Dec 2009 15:26:27 -0500

db (4.8.24-2) unstable; urgency=low

  * Fix typo in description of libdb4.8-java-gcj.
  * db4.8_load.1: fix typo of "keyword", thanks to "sobtwmxt".
    closes: #551457.
  * Clarify db4.8_load(1) title.  closes: #557568.
  * Fix -java-gcj package build for gcj-4.4.  closes: #558334.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Wed, 16 Dec 2009 22:43:58 -0500

db (4.8.24-1) unstable; urgency=low

  * New upstream version.
    - RPC support has been dropped.
  * Bump to Standards-Version 3.8.3.
  * Force POSIX/pthreads/library mutexes on amd64.  closes: #520926.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Sep 2009 00:13:05 -0400

db (4.7.25-7) unstable; urgency=low

  * Apply upstream patch 4.7.25.4: [#16299] Fix a bug which could cause
    a SEGV in __repmgr_available_site if a site becomes master after
    winning an election but is still processing client messages.
  * Bump to Standards-Version 3.8.2.
  * Move libdb4.7-dbg to section 'debug', priority 'extra'.
  * Move libdb4.7-java and libdb4.7-java-gcj to section 'java'.
  * Move libdb4.7-java-dev to section 'libdevel'.
  * Remove libdb4.7++'s relations with itself.
  * Run ldconfig in library package postinsts.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Jun 2009 15:22:37 -0400

db (4.7.25-6) unstable; urgency=low

  * Apply upstream patch 4.7.25.2: [#16415] DB_ENV->lock_get may self
    deadlock if user defined locks are used and there is only one lock
    partition defined.
  * Apply upstream patch 4.7.25.3: [#16541] Fix for dd segfaults.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Dec 2008 19:47:43 -0500

db (4.7.25-5) unstable; urgency=low

  * Apply upstream patch 4.7.25.1: [#16406] Replication clients should
    be able to open a sequence.

 -- Clint Adams <schizo@debian.org>  Sat, 04 Oct 2008 13:29:59 -0400

db (4.7.25-4) unstable; urgency=medium

  * Make testsuite failures critical on both arm and sparc again.
  * Patch from Ben Hutchings to double the inter-process delay in test
    Env012.b.
  * Patch from Ben Hutchings to fix encrypted databases being unusable
    on ARM due to unexpected structure padding.  closes: #437742.
  * Force 8-byte mutex alignment on sparc.  closes: #498455.

 -- Clint Adams <schizo@debian.org>  Wed, 10 Sep 2008 07:48:07 -0400

db (4.7.25-3) unstable; urgency=low

  * Add more conflicts to libdb4.7-dev.  closes: #486318.

 -- Clint Adams <schizo@debian.org>  Sun, 15 Jun 2008 09:50:46 -0400

db (4.7.25-2) unstable; urgency=low

  * Rename libdb-dev to libdb4.7-dev.

 -- Clint Adams <schizo@debian.org>  Thu, 12 Jun 2008 20:56:51 -0400


