=== debian/control ===
Source: db4.8
Section: oldlibs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.2
Build-Depends: procps [!hurd-i386], tcl-dev, dpkg-dev (>= 1.16.0)
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db4.8.git
Vcs-Git: git://git.debian.org/pkg-db/db4.8/db.git

Package: libdb4.8-dev
Architecture: any
Depends: libdb4.8 (= ${binary:Version})
Conflicts: libdb-dev, libdb4.6-dev, libdb4.7-dev
Description: Berkeley v4.8 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.8 database library.

Package: libdb4.8
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}
Description: Berkeley v4.8 Database Libraries [runtime]
 This is the runtime package for programs that use the v4.8 Berkeley
 database library.

Package: db4.8-util
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}
Description: Berkeley v4.8 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v4.8 database format, and includes:
  - db4.8_archive: write the pathnames of the log files no longer in use.
  - db4.8_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db4.8_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db4.8_load: loads (and creates) a database from standard input.
  - db4.8_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db4.8_printlog: dump log files in human readable format.
  - db4.8_stat: display statistics for Berkeley DB environments.
  - db4.8_upgrade: upgrades the version of files and the databases they
    contain.
  - db4.8_verify: check the structure of files and their databases.
